/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package demojsoncrud.servlets;

import demojsoncrud.services.PersonaService;
import demojsoncrud.utilities.PostRequest;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONObject;

/**
 *
 * @author Percy
 */
public class RedireccionarServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        listarPersona(request, response);
    }
    private void listarPersona(HttpServletRequest request, HttpServletResponse response)  {
        final String URL = "http://localhost:8080/security-rest/api/proyecto/enviarNuevoToken";
        response.setContentType("application/json");
        PrintWriter pw = null;
        JSONObject salida = new JSONObject();
        try {
            pw = response.getWriter();
            String authorization =request.getHeader("Authorization");
            if(authorization!=null && authorization.contains("Bearer ")){
                
                PostRequest sendPost = new PostRequest(URL);
                String respuesta = sendPost.getRespueta(authorization);
                JSONObject obj = new JSONObject(respuesta);
                salida=obj;
            }else{
                salida.put("status", false);
                salida.put("message", "Credenciales incorrectas.");
            }
        } catch (Exception e) {
            salida.put("status", false);
            salida.put("message", e.getMessage());
        }
        pw.print(salida);
  }
    
}
